> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qwoty.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address

> Retrieve a specific address by ID

## Authorization

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer qwoty_your_token`
</ParamField>

## Path Parameters

<ParamField path="id" type="string" required>
  UUID of the address
</ParamField>

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl https://qwoty.app/api/addresses/770e8400-e29b-41d4-a716-446655440002 \
    -H "Authorization: Bearer qwoty_your_token"
  ```

  ```javascript JavaScript theme={null}
  const addressId = '770e8400-e29b-41d4-a716-446655440002'

  const response = await fetch(`https://qwoty.app/api/addresses/${addressId}`, {
    headers: { Authorization: 'Bearer qwoty_your_token' },
  })
  const data = await response.json()
  ```

  ```python Python theme={null}
  import requests

  address_id = '770e8400-e29b-41d4-a716-446655440002'

  response = requests.get(
      f'https://qwoty.app/api/addresses/{address_id}',
      headers={'Authorization': 'Bearer qwoty_your_token'},
  )
  data = response.json()
  ```
</CodeGroup>

## Response

<ResponseField name="success" type="boolean">
  `true` if the request succeeded
</ResponseField>

<ResponseField name="data" type="object">
  The address object

  <Expandable title="Address Object">
    <ResponseField name="id" type="string">UUID</ResponseField>
    <ResponseField name="workspace_id" type="string">Workspace UUID</ResponseField>
    <ResponseField name="customer_id" type="string">Parent customer UUID</ResponseField>
    <ResponseField name="type" type="string">`billing` or `shipping`</ResponseField>
    <ResponseField name="name" type="string | null">Address label</ResponseField>
    <ResponseField name="address_line1" type="string">Street address</ResponseField>
    <ResponseField name="address_line2" type="string | null">Secondary address line</ResponseField>
    <ResponseField name="city" type="string">City</ResponseField>
    <ResponseField name="state" type="string | null">State or region</ResponseField>
    <ResponseField name="postal_code" type="string">Postal/ZIP code</ResponseField>
    <ResponseField name="country" type="string">Country code (ISO 3166-1 alpha-2)</ResponseField>
    <ResponseField name="contact_id" type="string | null">UUID of the associated contact (optional). Use `GET /api/contacts/{id}` to fetch the contact.</ResponseField>
    <ResponseField name="comment" type="string | null">Internal comment</ResponseField>
    <ResponseField name="id_crm" type="string | null">External CRM ID</ResponseField>
    <ResponseField name="id_erp" type="string | null">External ERP ID</ResponseField>
    <ResponseField name="id_accounting" type="string | null">External accounting ID</ResponseField>
    <ResponseField name="created_at" type="string">ISO 8601 timestamp</ResponseField>
    <ResponseField name="updated_at" type="string">ISO 8601 timestamp</ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "data": {
      "id": "770e8400-e29b-41d4-a716-446655440002",
      "workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
      "customer_id": "550e8400-e29b-41d4-a716-446655440000",
      "type": "billing",
      "name": "Siège social",
      "address_line1": "12 Rue de la Paix",
      "address_line2": null,
      "city": "Paris",
      "state": "Île-de-France",
      "postal_code": "75001",
      "country": "FR",
      "contact_id": null,
      "comment": null,
      "id_crm": null,
      "id_erp": null,
      "id_accounting": null,
      "created_at": "2026-01-15T10:30:00Z",
      "updated_at": "2026-01-15T10:30:00Z"
    }
  }
  ```

  ```json Not Found theme={null}
  {
    "success": false,
    "error": "Address not found"
  }
  ```
</ResponseExample>
